Non-secret signing-key and sealer custody inventory
const url = 'https://example.com/v1/console/keys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/console/keys \ --header 'Authorization: Bearer <token>'Returns the non-secret custody inventory of the signing keys and sealers resolved at boot. No key material is returned.
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”OK
object
object
RFC3339 creation timestamp; empty when unknown
Full SHA-256 hex for runtime signing keys; embedded license-key display fingerprint for license
Non-secret KEK provider and key identifier
Embedded license-key origin
Base64-encoded public verification key
Example
{ "keys": [ { "custody_mode": "minted", "purpose": "audit", "source": "env" } ]}Bad request
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}